glab(1)

NAME
glab-mr-checkout - Check out an open merge request.

SYNOPSIS
glab mr checkout [ | | ] [flags]

DESCRIPTION
Check out an open merge request.

OPTIONS
-b, --branch=""
    Check out merge request with name .

-u, --set-upstream-to=""
    Set tracking of checked-out branch to [REMOTE/]BRANCH.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab mr checkout 1
    glab mr checkout branch
    glab mr checkout 12 --branch todo-fix
    glab mr checkout new-feature --set-upstream-to=upstream/main
    glab mr checkout https://gitlab.com/gitlab-org/cli/-/merge_requests/1234
    # Uses the checked-out branch
    glab mr checkout

SEE ALSO
glab-mr(1)